Skip to main content
GET
List Funding Deposits

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

API-Nonce
string
header
required

The "API-Nonce" header should contain an always-increasing 64-bit integer, most commonly a Unix timestamp in milliseconds. Each request must use a nonce greater than the nonce of the previous request signed with the same API key.

Query Parameters

asset
object

Optional filter by asset. When this parameter is provided, class is required; name is optional.

scope
method_id · object
status
list · object
cursor
string

Cursor from a previous response used to retrieve the next page. Do not provide other request parameters with a cursor.

Minimum string length: 1
limit
integer<int32>

Maximum number of deposits to return.

Required range: 0 < x <= 500
start_time
string<date-time>

Filter by creation time at or after the specified time.

end_time
string<date-time>

Filter by creation time at or after the specified time.

rebase_multiplier
enum<string>

For tokenized assets, controls whether amounts (eg fees, minimums, maximums) use rebased or base units.

Available options:
rebased,
base
account_id
string

Account ID

Response

200 - application/json

Response containing the list of funding deposits.

deposits
object[]

Deposits.

next_cursor
string

Cursor to use in the next request to retrieve the next page. Omitted when there are no more results.

Minimum string length: 1